StdSerializers.BooleanSerializer (Jackson JSON Processor)
Date: 2013-07-14

org.codehaus.jackson.map.ser

## Class StdSerializers.BooleanSerializer

- java.lang.Object
- - org.codehaus.jackson.map.JsonSerializer<T>
  - - org.codehaus.jackson.map.ser.std.SerializerBase<T>
    - - org.codehaus.jackson.map.ser.std.ScalarSerializerBase<T>
      - - org.codehaus.jackson.map.ser.std.NonTypedScalarSerializerBase<Boolean>
        - - org.codehaus.jackson.map.ser.StdSerializers.BooleanSerializer

- All Implemented Interfaces:
    SchemaAware
  Enclosing class:
    StdSerializers

      public static final class StdSerializers.BooleanSerializer
      extends NonTypedScalarSerializerBase<Boolean>

  Serializer used for primitive boolean, as well as java.util.Boolean wrapper type.

  Since this is one of "native" types, no type information is ever included on serialization (unlike for most scalar types as of 1.5)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.codehaus.jackson.map.JsonSerializer

      `JsonSerializer.None`

  - ### Field Summary

    - ### Fields inherited from class org.codehaus.jackson.map.ser.std.SerializerBase

      `_handledType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StdSerializers.BooleanSerializer(boolean forPrimitive)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JsonNode` | `getSchema(SerializerProvider provider, Type typeHint)` Note: since Jackson 1.9, default implementation claims type is "string"
    `void` | `serialize(Boolean value, JsonGenerator jgen, SerializerProvider provider)` Method that can be called to ask implementation to serialize values of type this serializer handles.

    - ### Methods inherited from class org.codehaus.jackson.map.ser.std.NonTypedScalarSerializerBase

      `serializeWithType`

    - ### Methods inherited from class org.codehaus.jackson.map.ser.std.SerializerBase

      `createObjectNode, createSchemaNode, createSchemaNode, handledType, isDefaultSerializer, wrapAndThrow, wrapAndThrow, wrapAndThrow, wrapAndThrow`

    - ### Methods inherited from class org.codehaus.jackson.map.JsonSerializer

      `isUnwrappingSerializer, unwrappingSerializer`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StdSerializers.BooleanSerializer

          public StdSerializers.BooleanSerializer(boolean forPrimitive)

  - ### Method Detail

    - #### serialize

          public void serialize(Boolean value,
                       JsonGenerator jgen,
                       SerializerProvider provider)
                         throws IOException,
                                JsonGenerationException

      Description copied from class: `JsonSerializer`
      Method that can be called to ask implementation to serialize values of type this serializer handles.
      Specified by:
        `serialize` in class `SerializerBase<Boolean>`
      Parameters:
        `value` - Value to serialize; can not be null.
        `jgen` - Generator used to output resulting Json content
        `provider` - Provider that can be used to get serializers for serializing Objects value contains, if any.
      Throws:
        `IOException`
        `JsonGenerationException`

    - #### getSchema

          public JsonNode getSchema(SerializerProvider provider,
                           Type typeHint)

      Description copied from class: `SerializerBase`
      Note: since Jackson 1.9, default implementation claims type is "string"
      Specified by:
        `getSchema` in interface `SchemaAware`
      Overrides:
        `getSchema` in class `ScalarSerializerBase<Boolean>`
      Parameters:
        `provider` - The serializer provider.
        `typeHint` - A hint about the type.
      Returns:
        Json-schema for this serializer.